package FromDualMySQLmpm;

#
# Copyright (C) 2011 FromDual
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

use strict;
use warnings;
use FromDualMySQLagent ':stooges';

sub processMpmInformation
{
  my $parameter_ref = shift;

  my %hGlobalVariables;

  my @aGlobalVariablesToSend = (
    'mpm_version'
  );

  &FromDualMySQLagent::initValues(\%hGlobalVariables, \@aGlobalVariablesToSend);

  # Do some post calculations
  $hGlobalVariables{'mpm_version'} = '0.7.2';

  &FromDualMySQLagent::sendData(\%$parameter_ref, \%hGlobalVariables, \@aGlobalVariablesToSend, $$parameter_ref{'Domain'});
}

1;
__END__
